﻿namespace MugenInjection.Interception.Infrastructure
{
    /// <summary>
    /// Represents a context for resolve service.
    /// </summary>
    public sealed class AnyResolveContext
    {
        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="AnyResolveContext"/> class.
        /// </summary>
        internal AnyResolveContext()
        {
        }

        #endregion

        #region Method

        /// <summary>
        /// Resolve current service <see cref="T"/>.
        /// </summary>
        /// <typeparam name="T">The specified service <see cref="T"/></typeparam>
        /// <returns>An instance of service.</returns>
        public T Any<T>()
        {
            return default(T);
        }

        #endregion
    }
}