﻿using System;

namespace MugenInjection.Web.Interface
{
    /// <summary>
    /// Represent the web scope provider.
    /// </summary>
    public interface IScopeProvider
    {
        /// <summary>
        /// Occured when need dispose scope.
        /// </summary>
        event Action<object> ReleaseScope;

        /// <summary>
        /// Gets the current scope.
        /// </summary>
        /// <returns>An instance of object.</returns>
        object GetCurrentScope();
    }
}