﻿namespace MugenInjection.Web.Settings
{
    /// <summary>
    /// Contain a settings key.
    /// </summary>
    public static class WebScopeProviderKeys
    {
        /// <summary>
        /// Session scope key.
        /// </summary>
        public const string SessionScopeProvider = "_SessionScope_";

        /// <summary>
        /// HttpRequestScope key.
        /// </summary>
        public const string HttpRequestScopeProvider = "_HttpRequestScope_";

        /// <summary>
        /// OperationRequestScope key.
        /// </summary>
        public const string OperationRequestScopeProvider = "_OperationRequest_";
    }
}