﻿using MugenInjection.Interface;

namespace MugenInjection.Xml.Interface
{
    /// <summary>
    /// Represents interface for create binding from xml.
    /// </summary>
    public interface IXmlBindingBuilder
    {
        /// <summary>
        /// Builds an instances of <see cref="IBinding"/> from xml.
        /// </summary>
        /// <param name="injector">The specified <see cref="IInjector"/> for create binding.</param>
        /// <returns>An instances of <see cref="IBinding"/>.</returns>
        IBinding Build(IInjector injector);
    }
}