﻿using MugenInjection.Interface;

namespace MugenInjection.Delegates
{
    /// <summary>
    /// Represents the delegate to resolve parameter for specified <see cref="IParameterContext"/>.
    /// </summary>
    /// <typeparam name="T">The specified parameter type.</typeparam>
    /// <param name="parameterContext">The specified <see cref="IParameterContext"/>.</param>
    /// <returns>An instance of the parameter.</returns>
    public delegate T ParameterDelegate<out T>(IParameterContext parameterContext);
}