﻿namespace MugenInjection.Interface
{
    /// <summary>
    ///     Represents the managed scope.
    /// </summary>
    public interface IManagedScope : IDisposableObject, IInjectorResolver
    {
        /// <summary>
        /// Gets the source <see cref="IInjector"/>.
        /// </summary>
        IInjector Source { get; }
    }
}