﻿namespace MugenInjection.Syntax.Method
{
    /// <summary>
    /// Specific fluent syntax for method binding.
    /// </summary>
    public interface IMethodCallbackObjectPriorityScopeUseWithSyntax : IMethodCallbackSyntax, IMethodObjectSyntax,
                                                                       IMethodPrioritySyntax, IMethodScopeSyntax,
                                                                       IMethodWithSyntax, IMethodUseSyntax
    {
    }

    /// <summary>
    /// Specific fluent syntax for method binding.
    /// </summary>
    public interface IMethodCallbackObjectPriorityScopeUseWithSyntax<T> : IMethodCallbackSyntax<T>,
                                                                          IMethodObjectSyntax<T>,
                                                                          IMethodPrioritySyntax<T>,
                                                                          IMethodScopeSyntax<T>,
                                                                          IMethodWithSyntax<T>, IMethodUseSyntax<T>
    {
    }
}