﻿namespace MugenInjection.Syntax.Method
{
    /// <summary>
    /// Specific fluent syntax for method binding.
    /// </summary>
    public interface IMethodCallbackObjectPriorityUseWithSyntax : IMethodCallbackSyntax, IMethodObjectSyntax,
                                                                  IMethodPrioritySyntax, IMethodWithSyntax,
                                                                  IMethodUseSyntax
    {
    }

    /// <summary>
    /// Specific fluent syntax for method binding.
    /// </summary>
    public interface IMethodCallbackObjectPriorityUseWithSyntax<T> : IMethodCallbackSyntax<T>, IMethodObjectSyntax<T>,
                                                                     IMethodPrioritySyntax<T>, IMethodWithSyntax<T>,
                                                                     IMethodUseSyntax<T>
    {
    }
}