﻿namespace MugenInjection.Syntax.Method
{
    /// <summary>
    /// Specific fluent syntax for method binding.
    /// </summary>
    public interface IMethodCallbackObjectUseWithSyntax : IMethodCallbackSyntax, IMethodObjectSyntax, IMethodWithSyntax,
                                                          IMethodUseSyntax
    {
    }

    /// <summary>
    /// Specific fluent syntax for method binding.
    /// </summary>
    public interface IMethodCallbackObjectUseWithSyntax<T> : IMethodCallbackSyntax<T>, IMethodObjectSyntax<T>,
                                                             IMethodWithSyntax<T>,
                                                             IMethodUseSyntax<T>
    {
    }
}