﻿using JetBrains.Annotations;
using MugenInjection.Interface.Components;

namespace MugenInjection.Logging.Interface.Components
{
    /// <summary>
    /// Represents the interface for changing the log message.
    /// </summary>
    public interface ILogMutator : IComponent
    {
        /// <summary>
        /// Changes the log message.
        /// </summary>
        /// <param name="loggerContext">The specified <see cref="ILoggerContext"/>.</param>
        void Mutate(ILoggerContext loggerContext);
    }
}