﻿using MugenInjection.Web.Interface;

namespace MugenInjection.Wcf.Interface
{
    /// <summary>
    /// Providing configuration for WCF service.
    /// </summary>
    public interface IWcfApplicationConfiguration : IApplicationConfiguration
    {
        /// <summary>
        /// Starts the current WCF application.
        /// </summary>
        void Start();

        /// <summary>
        /// Stops the current WCF application.
        /// </summary>
        void Stop();
    }
}