﻿using System;
using System.ServiceModel;
using MugenInjection.Wcf.ServiceHostImpl;

// ReSharper disable CheckNamespace

namespace MugenInjection.Wcf
// ReSharper restore CheckNamespace
{
    /// <summary>
    /// The host factory for the specified ServiceHost
    /// </summary>
    public class MugenInjectionServiceHostFactory : MugenInjectionServiceHostFactoryBase
    {
        #region Overrides of MugenInjectionServiceHostFactoryBase

        /// <summary>
        /// Gets the specified <see cref="ServiceHost"/> type.
        /// </summary>
        /// <param name="serviceType">Specifies the type of service to host. </param>
        /// <returns></returns>
        protected override Type GetServiceHostType(Type serviceType)
        {
            return typeof (MugenInjectionServiceHost);
        }

        #endregion
    }
}