﻿using System;
using System.ServiceModel;
using MugenInjection.Wcf.WebServiceHostImpl;

// ReSharper disable CheckNamespace

namespace MugenInjection.Wcf
// ReSharper restore CheckNamespace
{
    /// <summary>
    /// Base class for the host factory for the specified <see cref="ServiceHost"/>.
    /// </summary>
    public class MugenInjectionWebServiceHostFactory : MugenInjectionServiceHostFactoryBase
    {
        #region Overrides of MugenInjectionServiceHostFactoryBase

        /// <summary>
        /// Gets the specified <see cref="ServiceHost"/> type.
        /// </summary>
        /// <param name="serviceType">Specifies the type of service to host. </param>
        /// <returns></returns>
        protected override Type GetServiceHostType(Type serviceType)
        {
            return typeof (MugenInjectionWebServiceHost);
        }

        #endregion
    }
}