﻿namespace MugenInjection.Infrastructure
{
    /// <summary>
    ///     Represents a context for resolve service.
    /// </summary>
    public sealed class ResolveContext
    {
        #region Constructor

        /// <summary>
        ///     Initializes a new instance of the <see cref="ResolveContext" /> class.
        /// </summary>
        internal ResolveContext()
        {
        }

        #endregion

        #region Method

        /// <summary>
        ///     Resolves the specifeid service <see cref="T" /> use Ioc container.
        /// </summary>
        /// <typeparam name="T">
        ///     The specified service <see cref="T" />
        /// </typeparam>
        /// <returns>An instance of service.</returns>
        public T Resolve<T>()
        {
            return default(T);
        }

        #endregion
    }
}