﻿using System;

namespace MugenInjection.Attributes
{
    /// <summary>
    /// Attribute that indicates where need inject specified service.
    /// </summary>
    [AttributeUsage(AttributeTargets.Constructor | AttributeTargets.Method |
                    AttributeTargets.Field | AttributeTargets.Property, Inherited = false, AllowMultiple = false)]
    public sealed class InjectAttribute : Attribute
    {
    }
}