﻿using System;

namespace MugenInjection.Interface
{
    /// <summary>
    /// Represent a parameter context.
    /// </summary>
    public interface IParameterContext
    {
        /// <summary>
        /// Gets the specified service type.
        /// </summary>
        Type InjectedType { get; }

        /// <summary>
        /// Gets the specified <see cref="IInjector"/>.
        /// </summary>
        IInjector Injector { get; }
    }
}