﻿namespace MugenInjection.Syntax.Constant
{
    /// <summary>
    /// Specific fluent syntax for constant binding.
    /// </summary>
    public interface IConstantObjectPriorityWhenSyntax : IConstantObjectSyntax,
                                                                 IConstantPrioritySyntax, IConstantWhenSyntax
    {
    }

    /// <summary>
    /// Specific fluent syntax for constant binding.
    /// </summary>
    public interface IConstantCallbackObjectPriorityWhenSyntax<TType> : IConstantObjectSyntax<TType>,
                                                                        IConstantPrioritySyntax<TType>,
                                                                        IConstantWhenSyntax<TType>
    {
    }
}