﻿namespace MugenInjection.Syntax.Method
{
    /// <summary>
    /// Specific fluent syntax for method binding.
    /// </summary>
    public interface IMethodCallbackObjectPriorityScopeUseWhenWithSyntax : IMethodCallbackSyntax, IMethodObjectSyntax,
                                                                           IMethodPrioritySyntax, IMethodScopeSyntax,
                                                                           IMethodWhenSyntax, IMethodWithSyntax,
                                                                           IMethodUseSyntax
    {
    }

    /// <summary>
    /// Specific fluent syntax for method binding.
    /// </summary>
    public interface IMethodCallbackObjectPriorityScopeUseWhenWithSyntax<TTypeTo> : IMethodCallbackSyntax<TTypeTo>,
                                                                                    IMethodObjectSyntax<TTypeTo>,
                                                                                    IMethodPrioritySyntax<TTypeTo>,
                                                                                    IMethodScopeSyntax<TTypeTo>,
                                                                                    IMethodWhenSyntax<TTypeTo>,
                                                                                    IMethodWithSyntax<TTypeTo>,
                                                                                    IMethodUseSyntax<TTypeTo>                                                                                   
    {
    }
}