﻿namespace MugenInjection.Syntax.Type
{
    /// <summary>
    /// Specific fluent syntax for type binding.
    /// </summary>
    public interface ITypeCallbackConstructorObjectPriorityScopeUseWithSyntax : ITypeCallbackSyntax,
                                                                                ITypeConstructorSyntax,
                                                                                ITypeObjectSyntax, ITypePrioritySyntax,
                                                                                ITypeScopeSyntax, ITypeUseSyntax,
                                                                                ITypeWithSyntax
    {
    }

    /// <summary>
    /// Specific fluent syntax for type binding.
    /// </summary>
    public interface ITypeCallbackConstructorObjectPriorityScopeUseWithSyntax<T> : ITypeCallbackSyntax<T>,
                                                                                   ITypeConstructorSyntax<T>,
                                                                                   ITypeObjectSyntax<T>,
                                                                                   ITypePrioritySyntax<T>,
                                                                                   ITypeScopeSyntax<T>,
                                                                                   ITypeUseSyntax<T>,
                                                                                   ITypeWithSyntax<T>
    {
    }
}