﻿namespace MugenInjection.Syntax.Type
{
    /// <summary>
    /// Specific fluent syntax for type binding.
    /// </summary>
    public interface ITypeCallbackConstructorObjectPriorityUseWithSyntax : ITypeCallbackSyntax, ITypeConstructorSyntax,
                                                                           ITypeObjectSyntax, ITypePrioritySyntax,
                                                                           ITypeUseSyntax, ITypeWithSyntax
    {
    }

    /// <summary>
    /// Specific fluent syntax for type binding.
    /// </summary>
    public interface ITypeCallbackConstructorObjectPriorityUseWithSyntax<T> : ITypeCallbackSyntax<T>,
                                                                              ITypeConstructorSyntax<T>,
                                                                              ITypeObjectSyntax<T>,
                                                                              ITypePrioritySyntax<T>,
                                                                              ITypeUseSyntax<T>, ITypeWithSyntax<T>
    {
    }
}