﻿namespace MugenInjection.Syntax.Type
{
    /// <summary>
    /// Specific fluent syntax for type binding.
    /// </summary>
    public interface ITypeCallbackObjectPriorityUseWithSyntax : ITypeCallbackSyntax, ITypeObjectSyntax,
                                                                ITypePrioritySyntax, ITypeUseSyntax, ITypeWithSyntax
    {
    }

    /// <summary>
    /// Specific fluent syntax for type binding.
    /// </summary>
    public interface ITypeCallbackObjectPriorityUseWithSyntax<T> : ITypeCallbackSyntax<T>, ITypeObjectSyntax<T>,
                                                                   ITypePrioritySyntax<T>, ITypeUseSyntax<T>,
                                                                   ITypeWithSyntax<T>
    {
    }
}