﻿namespace MugenInjection.Syntax.Type
{
    /// <summary>
    /// Specific fluent syntax for type binding.
    /// </summary>
    public interface ITypeCallbackObjectUseWithSyntax : ITypeCallbackSyntax, ITypeObjectSyntax, ITypeUseSyntax,
                                                        ITypeWithSyntax
    {
    }

    /// <summary>
    /// Specific fluent syntax for type binding.
    /// </summary>
    public interface ITypeCallbackObjectUseWithSyntax<T> : ITypeCallbackSyntax<T>, ITypeObjectSyntax<T>,
                                                           ITypeUseSyntax<T>,
                                                           ITypeWithSyntax<T>
    {
    }
}