﻿using System;
using System.Collections.Generic;
using System.Reflection;
using MugenInjection.Interface;

namespace TestModels.FakeObject
{
    public class FakeConstructorResolver : IConstructorResolver
    {
        #region Implementation of IConstructorResolver

        /// <summary>
        /// Selects constructor for the specified service type.
        /// </summary>
        /// <param name="service">The specified service <see cref="System.Type"/>.</param>
        /// <param name="bindingContext">The specified <see cref="IBindingContext"/>s.</param>
        /// <returns>An instance of the <see cref="System.Reflection.ConstructorInfo"/>.</returns>
        public ConstructorInfo Resolve(Type service, IBindingContext bindingContext)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Set constructor info for specified service.
        /// </summary>
        /// <param name="constructorInfo"></param>
        public void SetConstructor(ConstructorInfo constructorInfo)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}