﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.TestPlatform.UnitTestFramework;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MugenInjection.Interception.Interface;
using MugenInjection.Interception.Proxy;

namespace MugenInjectionTest
{
    [TestClass]
    public abstract class InterceptionTestBase : TestBase
    {
        #region Property

        protected Func<IProxyFactory> GetProxyFactory { get; set; }

        #endregion

        #region Overrides of TestBase

        protected override void OnInit()
        {
            GetProxyFactory = () => new MugenInjectionProxyFactory();
        }

        #endregion
    }
}
